Version 4.0.26.22 (latest)

### Get information about all lookml models.

## Request

GET /lookml_models Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... fields string Requested fields. limit integer Number of results to return. (can be used with offset) offset integer Number of results to skip before returning any. (Defaults to 0 if not set when limit is used) exclude_empty boolean Whether or not to exclude models with no explores from the response (Defaults to false) exclude_hidden boolean Whether or not to exclude hidden explores from the response (Defaults to false) include_internal boolean Whether or not to include built-in models such as System Activity (Defaults to false) include_self_service boolean Whether or not to include self service models (Defaults to false)

## Response

### 200: LookML Model

Datatype Description (array) [LookmlModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookmlModel)\[\] can object Operations the current user is able to perform on this object allowed_db_connection_names string\[\] explores [LookmlModelNavExplore](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookmlModelNavExplore)\[\] Expand LookmlModelNavExplore definition... name string Name of the explore description string Description for the explore label string Label for the explore hidden boolean Is this explore marked as hidden group_label string Label used to group explores in the navigation menus has_content boolean Does this model declaration have have lookml content? label string UI-friendly name for this model name string Name of the model. Also used as the unique identifier project_name string Name of project containing the model unlimited_db_connections boolean Is this model allowed to use all current and future connections

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Kotlin


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt#L387 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt") |

### Swift


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift#L282 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift") |